> For the complete documentation index, see [llms.txt](https://docs.aisuru.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisuru.com/api/engine/localization-keys.md).

# Localization Keys

## Lists all Localization Keys.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKeys/{strSessionID}":{"get":{"tags":["LocalizationKeys"],"summary":"Lists all Localization Keys.","description":"This API requires a Giver session.","operationId":"LocalizationKeys-ListLocalizationKeys","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListLocalizationKeysResponse"}}}}}}}},"components":{"schemas":{"ListLocalizationKeysResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Localization Keys.","format":"int32"},"localizationKeys":{"type":"array","items":{"$ref":"#/components/schemas/LocalizationKeySpecs"},"description":"List of Localization Keys.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Localization Keys request."},"LocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Localization Key."}}}}
````

## Lists Localization Keys with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKeys/{strSessionID}/{from}/{howMany}":{"get":{"tags":["LocalizationKeys"],"summary":"Lists Localization Keys with pagination.","description":"This API requires a Giver session.","operationId":"LocalizationKeys-ListLocalizationKeysPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Localization Key to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of the Localization Keys to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListLocalizationKeysResponse"}}}}}}}},"components":{"schemas":{"ListLocalizationKeysResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Localization Keys.","format":"int32"},"localizationKeys":{"type":"array","items":{"$ref":"#/components/schemas/LocalizationKeySpecs"},"description":"List of Localization Keys.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Localization Keys request."},"LocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Localization Key."}}}}
````

## Get an existing Localization Key.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKey/{strSessionID}/{strKey}":{"get":{"tags":["LocalizationKeys"],"summary":"Get an existing Localization Key.","description":"This API requires a Giver session.","operationId":"LocalizationKeys-GetLocalizationKey","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strKey","in":"path","description":"The key of the Localization Key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetLocalizationKeyResponse"}}}}}}}},"components":{"schemas":{"GetLocalizationKeyResponse":{"type":"object","properties":{"localizationKey":{"$ref":"#/components/schemas/LocalizationKeySpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Localization Key request."},"LocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Localization Key."}}}}
````

## Removes an existing Localization Key.

> This API requires a Giver session.> \
> This is only possible if the key is part of a key set, where a key> \
> set is a set of keys of a common prefix and an index, e.g.:> \
> \`\`\`INPUT\_QUIT\_1\`\`\`, \`\`\`INPUT\_QUIT\_2\`\`\` etc.> \
> Any index can be specified, the key set will be reordered appropriately.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKey/{strSessionID}/{strKey}":{"delete":{"tags":["LocalizationKeys"],"summary":"Removes an existing Localization Key.","description":"This API requires a Giver session.\r\nThis is only possible if the key is part of a key set, where a key\r\nset is a set of keys of a common prefix and an index, e.g.:\r\n```INPUT_QUIT_1```, ```INPUT_QUIT_2``` etc.\r\nAny index can be specified, the key set will be reordered appropriately.","operationId":"LocalizationKeys-RemoveLocalizationKey","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strKey","in":"path","description":"The key of the Localization Key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## Add a new Localization Key.

> This API requires a Giver session.> \
> This is only possible if the key is part of a key set, where a key> \
> set is a set of keys of a common prefix and an index, e.g.:> \
> \`\`\`INPUT\_QUIT\_1\`\`\`, \`\`\`INPUT\_QUIT\_2\`\`\` etc.> \
> Any index can be specified, the key set will be reordered appropriately.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKey/{strSessionID}":{"post":{"tags":["LocalizationKeys"],"summary":"Add a new Localization Key.","description":"This API requires a Giver session.\r\nThis is only possible if the key is part of a key set, where a key\r\nset is a set of keys of a common prefix and an index, e.g.:\r\n```INPUT_QUIT_1```, ```INPUT_QUIT_2``` etc.\r\nAny index can be specified, the key set will be reordered appropriately.","operationId":"LocalizationKeys-AddLocalizationKey","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Localization Key specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddLocalizationKeySpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddLocalizationKeyResponse"}}}}}}}},"components":{"schemas":{"AddLocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false},"AddLocalizationKeyResponse":{"type":"object","properties":{"localizationKey":{"$ref":"#/components/schemas/LocalizationKeySpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of an Add Localization Key request."},"LocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Localization Key."}}}}
````

## Updates an existing Localization Key.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/LocalizationKey/{strSessionID}":{"patch":{"tags":["LocalizationKeys"],"summary":"Updates an existing Localization Key.","description":"This API requires a Giver session.","operationId":"LocalizationKeys-UpdateLocalizationKey","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Localization Key specifications","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLocalizationKeySpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"UpdateLocalizationKeySpecs":{"type":"object","properties":{"key":{"type":"string","description":"Localization Key.\r\nRequired during Add operations.\r\nIgnored during Update operations.","nullable":true},"value":{"type":"string","description":"Value of the Localization Key.\r\nRequired during Add and Update operations.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false},"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````
